Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450878 - memberOf should be indexed by default
Summary: memberOf should be indexed by default
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.1.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Orla Hegarty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 15:18 UTC by Nalin Dahyabhai
Modified: 2008-08-11 23:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-16 22:03:25 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2008-06-11 15:18:37 UTC
Description of problem:
When I use memberOf to manage groups, attempts to enumerate the members of a
group by searching for memberOf=dn_of_group take a long time to complete. 
Adding an equality index for 'memberof' really speeds things up, so we should
probably be setting one up by default.

Version-Release number of selected component (if applicable):
1.1.1-1.fc9

Comment 2 Chandrasekar Kannan 2008-06-16 22:03:25 UTC
plugin is not enabled by default and won't be for atleast 8.1. 
so we need to leave indexing upto the script/product that enables it like ipa.


Comment 3 Nalin Dahyabhai 2008-06-17 18:05:48 UTC
Does enabling the plugin need to be a prerequisite for indexing the attribute?

Comment 4 Chandrasekar Kannan 2008-08-11 23:56:53 UTC
Bug already CLOSED. setting screened+ flag


Note You need to log in before you can comment on or make changes to this bug.